Name        : mppenc
Version     : 1.16
Release     : 3%{?dist}
Group       : Applications/Multimedia
Summary     : The latest StreamVersion7 encoder
License     : LGPLv2
URL         : http://www.musepack.net/
Source      : http://files.musepack.net/source/%{name}-%{version}.tar.bz2
BuildRoot   : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires : cmake >= 2.2

%description
Musepack is an audio compression format with a strong 
emphasis on high quality. It's not lossless, but it is 
designed for transparency, so that you won't be able 
to hear differences between the original wave file 
and the much smaller MPC file.

It is based on the MPEG-1 Layer-2 / MP2 algorithms, but since 1997 
it has rapidly developed and vastly improved and is now at an 
advanced stage in which it contains heavily optimized and patentless code.

This is the latest StreamVersion7 encoder.
It's needed to encode Wave files to MPC.

%prep
%setup -q

%build
%ifarch %{ix86}
export CFLAGS="-O2 -march=i586 -mtune=i686"
export CXXFLAGS="-O2 -march=i586 -mtune=i686"
%else 
export CFLAGS="-O2 -mtune=generic"
export CXXFLAGS="-O2 -mtune=generic"
%endif

%cmake
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL

%{_bindir}/mppenc

%changelog
* Sun Dec 21 2008 Paulo Roma  <roma@lcg.ufrj.br> 1.16-3
- Using %%cmake.

* Sat Dec 20 2008 Paulo Roma  <roma@lcg.ufrj.br> 1.16-2
- Fixed creation of install dir.

* Thu Feb 28 2008 Paulo Roma  <roma@lcg.ufrj.br> 1.16-1
- Initial spec file.

